> ## Documentation Index
> Fetch the complete documentation index at: https://docs.geogen.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Entities

> Get all entities in the workspace.



## OpenAPI

````yaml get /entities
openapi: 3.1.0
info:
  title: Geogen API
  description: >-
    API for accessing LLM visibility data, managing entities, and tracking AI
    mentions.
  version: 1.0.0
servers:
  - url: https://api.geogen.io/v1
    description: Production server
security:
  - bearerAuth: []
paths:
  /entities:
    get:
      tags:
        - Entities
      summary: Get Entities
      description: Get all entities in the workspace.
      operationId: getEntities
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Entity'
                  count:
                    type: number
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Entity:
      type: object
      properties:
        id:
          type: string
          description: Entity ID
        name:
          type: string
          description: Entity name
        target:
          type: string
          description: Target URL or domain
        targetType:
          type: string
          enum:
            - url
            - term
          description: Type of target
        description:
          type: string
          description: Entity description
        faviconUrl:
          type: string
          description: Favicon URL
        language:
          type: string
          description: Language code
        geolocation:
          type: string
          description: Geolocation code
        isActive:
          type: boolean
          description: Whether entity is active
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'API key authentication. Format: Bearer wsk_your_api_key'

````